View Issue Details

IDProjectCategoryView StatusLast Update
0013836ScribusUser Interfacepublic2016-04-04 16:52
ReporterKunda Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformMacOSXOSYosemiteOS Version10.10.5
Product Version1.5.2.svn 
Fixed in Version1.5.2.svn 
Summary0013836: Multiple autosave countdown clocks don't autosave in-sync
Descriptionedge case:
Open 3 documents through Autorecover dialog. I also have the autosave countdown clock enabled by default for every 1 minute. When opening all 3 documents only the first one is autosaved per 1 minute. The other 2 are synced with eachother but on on their own timer that isn't explicit. See gif
Steps To Reproduce(make sure autosave clock is enabled)
1) unzip attached archive
2) open scribus in the same dir as step 1
3) recover all files
4) minimize each file so you can see all the clocks like in the screenshot
Additional Informationhttp://recordit.co/V5x0vXcMgW
TagsNo tags attached.
PatchNo

Relationships

child of 0013584 acknowledged Metabug: AutoSave & AutoRecover 

Activities

Kunda

2016-03-21 17:45

updater  

test.tar.gz (16,922 bytes)

Kunda

2016-03-21 17:52

updater  

fschmid

2016-03-21 18:18

administrator   ~0039314

Each doc has its own autosave timer, thats why the clocks aren't in sync.

Kunda

2016-03-29 12:12

updater   ~0039496

Ok.. so for some reason when scribus starts and I recover 4 files at the same time they sync better than they did previously except two of the files are off by 1 second.
I guess that 1 sec interval is the time it took to open that specific file and start it's timer? See attached new screencast:

Kunda

2016-03-29 12:12

updater  

multi-SLA-sync-off-by-1-sec.gif (52,388 bytes)   
multi-SLA-sync-off-by-1-sec.gif (52,388 bytes)   

Kunda

2016-03-29 12:14

updater   ~0039497

In other words: r21132 is not showing the same behavior that this ticket was displaying earlier (http://recordit.co/V5x0vXcMgW)
So I'm going to resolve it.

Issue History

Date Modified Username Field Change
2016-03-21 17:45 Kunda New Issue
2016-03-21 17:45 Kunda File Added: test.tar.gz
2016-03-21 17:46 Kunda Relationship added child of 0013584
2016-03-21 17:51 Kunda Steps to Reproduce Updated
2016-03-21 17:52 Kunda File Added: Screenshot 2016-03-21 12.50.05.png
2016-03-21 18:18 fschmid Note Added: 0039314
2016-03-29 12:12 Kunda Note Added: 0039496
2016-03-29 12:12 Kunda File Added: multi-SLA-sync-off-by-1-sec.gif
2016-03-29 12:14 Kunda Note Added: 0039497
2016-03-29 12:15 Kunda Status new => resolved
2016-03-29 12:15 Kunda Fixed in Version => 1.5.2.svn
2016-03-29 12:15 Kunda Resolution open => fixed
2016-03-29 12:15 Kunda Assigned To => Kunda
2016-03-29 12:15 Kunda Product Version => 1.5.2.svn
2016-04-04 16:52 Kunda Status resolved => closed
2016-04-04 16:52 Kunda Assigned To Kunda =>